diff -up rocksndiamonds-4.1.0.0/src/files.c.url rocksndiamonds-4.1.0.0/src/files.c
--- rocksndiamonds-4.1.0.0/src/files.c.url	2018-04-10 15:44:08.000000000 -0400
+++ rocksndiamonds-4.1.0.0/src/files.c	2018-04-17 16:30:19.726734512 -0400
@@ -10127,11 +10127,13 @@ static struct MusicFileInfo *get_music_f
     { "artist_header",	&tmp_music_file_info.artist_header	},
     { "album_header",	&tmp_music_file_info.album_header	},
     { "year_header",	&tmp_music_file_info.year_header	},
+    { "url_header",	&tmp_music_file_info.url_header		},
 
     { "title",		&tmp_music_file_info.title		},
     { "artist",		&tmp_music_file_info.artist		},
     { "album",		&tmp_music_file_info.album		},
     { "year",		&tmp_music_file_info.year		},
+    { "url",		&tmp_music_file_info.url		},
 
     { NULL,		NULL					},
   };
@@ -10247,11 +10249,13 @@ void LoadMusicInfo()
     checked_free(music_file_info->artist_header);
     checked_free(music_file_info->album_header);
     checked_free(music_file_info->year_header);
+    checked_free(music_file_info->url_header);
 
     checked_free(music_file_info->title);
     checked_free(music_file_info->artist);
     checked_free(music_file_info->album);
     checked_free(music_file_info->year);
+    checked_free(music_file_info->url);
 
     free(music_file_info);
 
diff -up rocksndiamonds-4.1.0.0/src/main.h.url rocksndiamonds-4.1.0.0/src/main.h
--- rocksndiamonds-4.1.0.0/src/main.h.url	2018-04-10 15:44:08.000000000 -0400
+++ rocksndiamonds-4.1.0.0/src/main.h	2018-04-17 16:30:19.727734490 -0400
@@ -3463,11 +3463,13 @@ struct MusicFileInfo
   char *artist_header;
   char *album_header;
   char *year_header;
+  char *url_header;
 
   char *title;
   char *artist;
   char *album;
   char *year;
+  char *url;
 
   int music;
 
diff -up rocksndiamonds-4.1.0.0/src/screens.c.url rocksndiamonds-4.1.0.0/src/screens.c
--- rocksndiamonds-4.1.0.0/src/screens.c.url	2018-04-17 16:30:19.728734467 -0400
+++ rocksndiamonds-4.1.0.0/src/screens.c	2018-04-17 16:34:00.653803869 -0400
@@ -3060,6 +3060,19 @@ void HandleInfoScreen_Music(int button)
       ystart += ystep_head;
     }
 
+    if (!strEqual(list->url, UNKNOWN_NAME))
+    {
+      if (!strEqual(list->url_header, UNKNOWN_NAME))
+        DrawTextSCentered(ystart, font_head, list->url_header);
+      else
+        DrawTextSCentered(ystart, font_head, "from the website");
+
+      ystart += ystep_head;
+
+      DrawTextFCentered(ystart, font_text, "%s", list->url);
+      ystart += ystep_head;
+    }
+
     DrawTextSCentered(ybottom, FONT_TEXT_4,
 		      "Press any key or button for next page");
 
